Bug 71007 - Using dhclient should put an entry for DHCP_HOSTNAME in /etc/sysconfig/network
Summary: Using dhclient should put an entry for DHCP_HOSTNAME in /etc/sysconfig/network
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: dhcpcd (Show other bugs)
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-07 19:17 UTC by Forrest
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-07 19:17:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Forrest 2002-08-07 19:17:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020804

Description of problem:
Using dhclient for dhcp should put an entry like:
DHCP_HOSTNAME=$HOSTNAME
in /etc/sysconfig/network.  The first beta worked without this entry, but the
second beta requires it for my DHCP servers.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Use dhclient to get DHCP assigned IP address
2.  The hostname is not propagated unless I put a DHCP_HOSTNAME entry in
/etc/sysconfig/network

Comment 1 Elliot Lee 2002-08-08 16:52:44 UTC
The new behaviour would be correct. The default should be to not send a hostname to the 
DHCP server and to accept whatever hostname it provides - if you want to send a 
hostname to the server (which is needed with some broadband providers) then you need 
to set  DHCP_HOSTNAME explicitly.


Note You need to log in before you can comment on or make changes to this bug.